Bug 349771 - USB mouse unresponsive
USB mouse unresponsive
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
8
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-23 20:17 EDT by Peter Andreasen
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-07 19:00:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
lsusb, uname, and dmesg (zipped) (9.49 KB, application/octet-stream)
2007-10-23 20:17 EDT, Peter Andreasen
no flags Details

  None (edit)
Description Peter Andreasen 2007-10-23 20:17:17 EDT
Description of problem:
A Logitech USB optical mouse is connected via a hub in my Dell monitor to an
AthlonXP and Nvidia based noname PC.

Version-Release number of selected component (if applicable):
kernel 2.6.23.1-26.fc8

How reproducible:
Nearly always

Steps to Reproduce:
1. Boot normally to X login screen
2. Move mouse
3. Switch to text console and issue lsusb command
  
Actual results:
When I do lsusb the light in the mouse will come one momentarily but then it
dies again.

Expected results:
The computer is normally running Fedora 7 with no problems at all.

Additional info:
dmesg has some error messages relating to USB

usb 1-1.1: device descriptor read/64, error -71
usb 1-1.1: new high speed USB device using ehci_hcd and address 6
....
hub 1-2:1.0: USB hub found
hub 1-2:1.0: 4 ports detected
usb 1-1.1: new high speed USB device using ehci_hcd and address 15
usb 1-1.1: device descriptor read/64, error -71
usb 1-1.1: device descriptor read/64, error -71
....

(the entire file is attached zipped)
Comment 1 Peter Andreasen 2007-10-23 20:17:17 EDT
Created attachment 235681 [details]
lsusb, uname, and dmesg (zipped)
Comment 2 Chuck Ebbert 2007-10-24 13:28:09 EDT
Try booting with kernel option "usbcore.autosuspend=-1"

See https://fedoraproject.org/wiki/KernelCommonProblems
for how to set kernel options.
Comment 3 Peter Andreasen 2007-10-24 17:39:06 EDT
Yes! This enabled the mouse again, and I do not get USB error messages in dmesg.
Comment 4 Jon Stanley 2007-12-30 00:55:55 EST
I'm assuming that comment #3 means that this bug can be closed?  I'm CC'ing
myself  as part of the kernel bug triage project, and will close the bug in a
few days if I don't hear anything.
Comment 5 Jon Stanley 2008-01-07 19:00:50 EST
Closing per previous comment.  If you can provide the requested information,
please feel free to re-open this bug.

Note You need to log in before you can comment on or make changes to this bug.